Bug 163 - freedesktop "viewcvs" web interface is throwing a python exception, on the 'dbus' module page
Summary: freedesktop "viewcvs" web interface is throwing a python exception, on the 'd...
Status: RESOLVED FIXED
Alias: None
Product: freedesktop.org
Classification: Unclassified
Component: Bugzilla (show other bugs)
Version: unspecified
Hardware: x86 (IA32) Linux (All)
: high normal
Assignee: Keith Packard
QA Contact:
URL: http://freedesktop.org/cgi-bin/viewcv...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-12-17 00:20 UTC by Sean Champ
Modified: 2004-10-18 22:16 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Description Sean Champ 2003-12-17 00:20:09 UTC
well, this isn't about bugzilla, it's about the freedesktop web site, but there
wasn't a bug category for that, so.

http://freedesktop.org/Main/GettingInvolved
has a link to
http://cvs.freedesktop.org
which apparently redirects to
http://freedesktop.org/cgi-bin/viewcvs.cgi/

Clicking on the link for the 'dbus' cvs-module, on the viewcvs.cgi page, leads
to this url:
http://freedesktop.org/cgi-bin/viewcvs.cgi/dbus/
and the following error message is shown, on that page:

Python Exception Occurred

Traceback (most recent call last):
  File "/usr/lib/python2.1/viewcvs/viewcvs.py", line 2647, in run_cgi
    main()
  File "/usr/lib/python2.1/viewcvs/viewcvs.py", line 2600, in main
    view_directory(request)
  File "/usr/lib/python2.1/viewcvs/viewcvs.py", line 1148, in view_directory
    fileinfo, alltags = get_logs(full_name, rcs_files, view_tag)
  File "/usr/lib/python2.1/viewcvs/viewcvs.py", line 1095, in get_logs
    raise 'error during rlog: '+hex(status)
error during rlog: 0x100



Additionally, I'd tried sending an email to the address 
cvs-admin@pdx.freedesktop.org (which is given in the "CVS Admin" link, in the
freedsktop viewcvs), and that email bounced  -- apparently, that address doesn't
exist in the pdx.freedesktop.org mail exchanger. Maybe this has been resolved,
though.
Comment 1 Warren Turkal 2004-01-11 04:45:23 UTC
There does not appear to be a python exception anymore on this webpage. The only
question is if the email problem has be fixed.
Comment 2 pigbwxs02 2004-03-19 15:06:38 UTC
The error now appears one directory below:

http://freedesktop.org/cgi-bin/viewcvs.cgi/dbus/dbus/
Comment 3 E L 2004-06-15 15:28:51 UTC
The viewcvs python error comes and goes and seems to have something with
permissions IMOH, I think fixing the email should be done by changing it to
sitewrangles@freedesktop (in /etc/viewcvs/viewcvs.conf).
Comment 4 Adam Jackson 2004-06-19 21:16:26 UTC
python error seems to be gone, cvs-admin@ exists now.  closing; please reopen if
the python error resurfaces.
Comment 5 Adam Jackson 2004-10-19 15:16:35 UTC
mass move so i can delete the bugzilla product, sorry for the spam


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.